Create parallel curve in Brep


#1

I´m using c# and I have a brep like this:

I´ve extract a list of curves with DuplicateEdgeCurves() and I´ve drawn curve with Yellow in the image.

List lstCurveEdge = brep.DuplicateEdgeCurves().ToList();

I want to create parallel curves like in the next image, the curves I want to create in code are drawn in blue. I want to use like a base the curve in the major Z and drawing parallel reducing exe Z but in the contour of the figure.

Is it posible?


(Dale Fugier) #2

Hi Salvam,

Take a look at Rhino’s Contour and Section command. Does this do what you want? If so, then you can use Rhino.Geometry.Brep.CreateContourCurves.

– Dale


#3

Thanks Dale.

I´ve resolved my problem with Brep.CreateContourCurves.